<template>
    <div class="article" id="article">
      <div class="article__wrapper">
        <h2 class="article__title">{{ this.article.title }}</h2>
        <hr class="article__line"/>
        <p class="article__text">
            {{ this.article.text }}
        </p>
      </div>
    </div>
</template>

<script>
import Vue from "vue";
import axios from "axios";
import VueAxios from "vue-axios";
Vue.use(VueAxios, axios);
export default {
  name: "NewsItemPage",
  props: ['id'],
  data() {
    return {
      article: [],
    };
  },
  methods: {
    GetNews: function () {
      let api = "http://127.0.0.1:8000/api/Articles/" + this.id + "/";
      axios({
        method: "get",
        url: api,
      })
        .then((response) => {
          this.article = response.data;
        })
        .catch((response) => {
          console.log(response);
        });
    },
  },
  mounted() {
    this.GetNews();
  },
};
</script>

<style scoped lang="scss">
$header-and-footer-background: #006d77;
$main-background: #caf0f8;
$card-background: #edf6f9;
$text: #000000;
$button: #ffc300;
$button-hover: #ffd60a;
$button-text: #006d77;
$border: #000000;

.article {
    min-height: 80vh;
}
.article__wrapper {
  max-width: 1220px;
  border: 3px solid $border;
  border-radius: 20px;
  padding: 10px;
  margin: 30px auto;
  background-color: $card-background;
}
</style>